Subject: Re: bug#68183: 28.3; vc-dir fails when I have a certain branch checked out

From: Kévin Le Gouguec <[email-masked]>
Date: Wed, 13 Mar 2024 21:03:51 +0100

Hello folks,

Kévin Le Gouguec <[email-masked]> writes:

> And here's another revision, addressing most of the points below.
> WDY'allT?
>

[…]

>> * maybe "none (tracking local branch)" is not informative and we should
>>   ditch it,
>>   * maybe we should fall back to "origin", like vc-git-repository-url
>>     does,
>
> FWIW, the current patch will show
>
>     Branch     : vc-dir-tracking-branch
>     Tracking   : origin/master
>     Remote     : https://git.savannah.gnu.org/git/emacs.git
>
> for my checkout of this work-in-progress patch, and
>
>     Branch     : vc-dir-bug
>     Tracking   : master
>     Remote     : none (tracking local branch)
>
> for a checkout made following Tom's recipe, and
>
>     Branch     : trunk
>
> for a fresh 'git init' with just a default branch.

Wondering if there's anything I can do to help with review, or if I
should install this.  OT1H I don't want to be pushy, OTOH I should be in
the area to answer for any collateral damage.